com.aliyun.svideosdk.common.struct.effect

## Class ActionWipe

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.effect.ActionBase
  - - com.aliyun.svideosdk.common.struct.effect.ActionWipe

-     public class ActionWipe
      extends ActionBase

  A class that defines wipe animations.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.aliyun.svideosdk.common.struct.effect.ActionBase

      `ActionBase.Interpolator, ActionBase.PartParam, ActionBase.RepeatMode, ActionBase.Scope, ActionBase.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DIRECTION_BOTTOM` Wipe upward.
    `static int` | `DIRECTION_LEFT` Wipe from left to right.
    `static int` | `DIRECTION_RIGHT` Wipe from right to left.
    `static int` | `DIRECTION_TOP` Wipe upward.
    `protected int` | `mDirection` The direction of this wipe.
    `protected int` | `mWipeMode` The mode of this wipe.
    `static int` | `WIPE_MODE_APPEAR` Wipe to reveal text.
    `static int` | `WIPE_MODE_DISAPPEAR` Wipe out text.

    - ### Fields inherited from class com.aliyun.svideosdk.common.struct.effect.ActionBase

      `mAnimationConfig, mDuration, mFillAfter, mFillBefore, mId, mInterpolatorType, mIsStream, mPartParam, mRepeatCount, mRepeatMode, mScope, mStartOffset, mTargetId, mTimelineIn, mTimelineOut, mType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionWipe()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDirection()` Gets the wipe direction.
    `int` | `getWipeMode()` Gets the wipe mode.
    `void` | `setAnimationConfig(java.lang.String animationConfig)` Defines custom animations with the specified animation configuration.
    `void` | `setDirection(int direction)` Sets the wipe direction.
    `void` | `setWipeMode(int wipeMode)` Sets the wipe mode.

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.effect.ActionBase

      `equals, getAnimationConfig, getDuration, getDuration, getId, getResId, getStartTime, getStartTime, getTargetId, getTimelineIn, getTimelineOut, getType, isStream, setDuration, setDuration, setFillAfter, setFillBefore, setId, setInterpolatorType, setIsStream, setPartParam, setRepeatCount, setRepeatMode, setResId, setScope, setStartOffset, setStartTime, setStartTime, setTargetId, setTimelineIn, setTimelineOut, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DIRECTION_LEFT

          public static final int DIRECTION_LEFT

      Wipe from left to right.
      See Also:
        Constant Field Values

    - #### DIRECTION_TOP

          public static final int DIRECTION_TOP

      Wipe upward.
      See Also:
        Constant Field Values

    - #### DIRECTION_RIGHT

          public static final int DIRECTION_RIGHT

      Wipe from right to left.
      See Also:
        Constant Field Values

    - #### DIRECTION_BOTTOM

          public static final int DIRECTION_BOTTOM

      Wipe upward.
      See Also:
        Constant Field Values

    - #### WIPE_MODE_APPEAR

          public static final int WIPE_MODE_APPEAR

      Wipe to reveal text.
      See Also:
        Constant Field Values

    - #### WIPE_MODE_DISAPPEAR

          public static final int WIPE_MODE_DISAPPEAR

      Wipe out text.
      See Also:
        Constant Field Values

    - #### mDirection

          protected int mDirection

      The direction of this wipe.

    - #### mWipeMode

          protected int mWipeMode

      The mode of this wipe. fade in or fade out.

  - ### Constructor Detail

    - #### ActionWipe

          public ActionWipe()

  - ### Method Detail

    - #### getDirection

          public int getDirection()

      Gets the wipe direction.
      Returns:
        The wipe direction.
      See Also:
        `DIRECTION_LEFT`, `DIRECTION_TOP`, `DIRECTION_RIGHT`, `DIRECTION_BOTTOM`

    - #### setDirection

          public void setDirection(int direction)

      Sets the wipe direction.
      Parameters:
        `direction` -
      See Also:
        `DIRECTION_LEFT`, `DIRECTION_TOP`, `DIRECTION_RIGHT`, `DIRECTION_BOTTOM`

    - #### getWipeMode

          public int getWipeMode()

      Gets the wipe mode. `WIPE_MODE_APPEAR` indicates wipe to reveal text. `WIPE_MODE_DISAPPEAR` indicates wipe out text.
      Returns:
        The wipe mode.

    - #### setWipeMode

          public void setWipeMode(int wipeMode)

      Sets the wipe mode.
      Parameters:
        `wipeMode` - `WIPE_MODE_APPEAR` indicates wipe to reveal text. `WIPE_MODE_DISAPPEAR` indicates wipe out text.

    - #### setAnimationConfig

          public void setAnimationConfig(java.lang.String animationConfig)

      Description copied from class: `ActionBase`

           Defines custom animations with the specified animation configuration. Allows you to create custom animations at random points in time
           to achieve different transition speeds. The animation configuration must be a string representation of semicolon-separated key-value pairs.
           The key indicates the point in time and the value can hold one or two values depending on the animation type. One value is needed for
           animations such as rotation while two comma-separated values are needed for animations such as transition and scaling. Separate the key
           and value in a key-value pair with a colon.

           Examples:
           rotation: "0.0:0.123;0.1:0.245;0.3:0.798"
           translation: "0.0:0.234,1.47;0.1:2.3,4.565;0.2:3.45,6.78"

      Overrides:
        `setAnimationConfig` in class `ActionBase`
      Parameters:
        `animationConfig` - The animation configuration.